module Consumerable
  module Associations
    extend ActiveSupport::Autoload
    extend ActiveSupport::Concern

    autoload :BelongsTo
    autoload :HasMany
    autoload :HasManyProxy

    included do
      include Consumerable::Associations::BelongsTo
      include Consumerable::Associations::HasMany
    end
  end
end
