module Consumerable
  class Configuration
    attr_accessor :logger, :endpoint, :api_version, :content_type,
      :accept_header, :basic_auth_username, :basic_auth_password,
      :perform_logging

    def logger
      @logger ||= Logger.new(STDOUT)
    end

    def perform_logging?
      !!perform_logging
    end
  end
end
