module Consumerable
  module Deletable
    extend ActiveSupport::Concern

    def destroy
      self.id = nil if Consumerable::Connection.
        delete(_inject_path_params(delete_path))
      self
    end
  end
end
